/* 
 * inth.h  -dl
 * Header file for inth.c, contains definitions, function prototypes and
 * everything else that made inth.c look untidy.
 *
*/ 
#define VERSION "0.2"

#define MAXL 255
#define MAXSIGS 1000

/*
 *
*/
#define GET16(p) (*(p) << 8 | *((u_char *)(p) + 1))

/* Options to mimic a linux 2.6.2x kernel, needed because if we dont send any
 * TCP options, we rarely if ever get anything beyond the MSS in a returned
 * ACK. This basically allows us to get as much identifing info as possible 
 * from the target. topts = (MSS:1460, SACK YES, TSVal(needs to be dynamically 
 * assigned, as this would easily identify this utility), TSecr 0, NOP, WSS 7*128)
*/
#define TCPOPTS "\x02\x04\x05\xb4\x04\x02\x08\x0a"
#define TCPOPT2 "\x00\x00\x00\x00\x01\x03\x03\x07"

/*
 * Fingerprint structure, ripped from disco, (with two added parameters)
 * to marry the disco sig database (derived from p0f v1.x)
 *
*/
typedef struct
{
    u_short   win;   	//window size #
    int       ttl;		//ttl #
    u_int16_t 	mss;	//maximum segment size  OP
    u_int8_t  df;		//dont fragment #
    int   wscale;		//window scale   	OP
    u_int8_t sackok;	//selective ack 	OP
    u_int8_t  nop;		//No operation 		OP
    int psize;			//Packet size	#
    char      ptype;
    char      os[64];
	
	int topts;		//number of options 0 if none
	
}fingerp_t;

/*
 * Structure to hold cntrl variables
*/
typedef struct
{
	int verbose;
	int sclosed;
	int guess;
}outcntl_t;

