/*
 * network.h -dl
 * Funtion Prototypes and Type definitions for Socket I/O and other
 * networking operations
*/
#include <net/if.h>
#include <netinet/in.h>
#include <net/ethernet.h>


/* local interface info */
typedef struct{
	char *iface;
	struct ether_addr hwa;
	struct in_addr ipa;
	struct in_addr bcast;
	struct in_addr nmask;
	u_short mtu;
} ifcfg_t; 

/* Datalink Sockets */
int open_raw_pf(int proto);

int open_raw_inet(int proto);

/* Handle interface */
int bind_rsock2dev(char *iface, int rsock, int proto);

int get_local_info(int rsock, ifcfg_t *ifcfg);

/* Resolve IP/name */
int resolve_name(char *host, struct in_addr *saddr);

int resolve_ip(char *host, struct in_addr *saddr);

/* Socket I/O */
int send_raw_inet(int rsock, char *packet, int pksize, struct in_addr rhost);

int recv_raw_pf(int rsock, char *packet, int pksize);
